// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

// INCLUDES
#include <eikapp.h>

#include "AudioToneDocument.h"
#include "AudioToneAppUi.h"

// MEMBER FUNCTIONS

CAudioToneDocument* CAudioToneDocument::NewL(CEikApplication& aApplication)
	{
	CAudioToneDocument* self = new (ELeave) CAudioToneDocument(aApplication);
	CleanupStack::PushL(self);
	self->ConstructL();
	CleanupStack::Pop(self);
	return self;
	}


CAudioToneDocument::CAudioToneDocument(CEikApplication& aApp)
	: CAknDocument(aApp)

	{
	}

void CAudioToneDocument::ConstructL()
	{
	}
	
CEikAppUi* CAudioToneDocument::CreateAppUiL()
	{
	return static_cast <CEikAppUi*> (new (ELeave) CAudioToneAppUi());
	}

// End of File
